package com.ruoyi.project.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.system.mapper.ProductCraftParamsMapper;
import com.ruoyi.project.system.domain.ProductCraftParams;
import com.ruoyi.project.system.service.IProductCraftParamsService;

/**
 * 工艺选择项Service业务层处理
 * 
 * @author zhu
 * @date 2023-10-26
 */
@Service
public class ProductCraftParamsServiceImpl implements IProductCraftParamsService 
{
    @Autowired
    private ProductCraftParamsMapper productCraftParamsMapper;

    /**
     * 查询工艺选择项
     * 
     * @param id 工艺选择项主键
     * @return 工艺选择项
     */
    @Override
    public ProductCraftParams selectProductCraftParamsById(Long id)
    {
        return productCraftParamsMapper.selectProductCraftParamsById(id);
    }

    /**
     * 查询工艺选择项列表
     * 
     * @param productCraftParams 工艺选择项
     * @return 工艺选择项
     */
    @Override
    public List<ProductCraftParams> selectProductCraftParamsList(ProductCraftParams productCraftParams)
    {
        return productCraftParamsMapper.selectProductCraftParamsList(productCraftParams);
    }

    /**
     * 新增工艺选择项
     * 
     * @param productCraftParams 工艺选择项
     * @return 结果
     */
    @Override
    public int insertProductCraftParams(ProductCraftParams productCraftParams)
    {
        productCraftParams.setCreateTime(DateUtils.getNowDate());
        return productCraftParamsMapper.insertProductCraftParams(productCraftParams);
    }

    /**
     * 修改工艺选择项
     * 
     * @param productCraftParams 工艺选择项
     * @return 结果
     */
    @Override
    public int updateProductCraftParams(ProductCraftParams productCraftParams)
    {
        productCraftParams.setUpdateTime(DateUtils.getNowDate());
        return productCraftParamsMapper.updateProductCraftParams(productCraftParams);
    }

    /**
     * 批量删除工艺选择项
     * 
     * @param ids 需要删除的工艺选择项主键
     * @return 结果
     */
    @Override
    public int deleteProductCraftParamsByIds(Long[] ids)
    {
        return productCraftParamsMapper.deleteProductCraftParamsByIds(ids);
    }

    /**
     * 删除工艺选择项信息
     * 
     * @param id 工艺选择项主键
     * @return 结果
     */
    @Override
    public int deleteProductCraftParamsById(Long id)
    {
        return productCraftParamsMapper.deleteProductCraftParamsById(id);
    }
}
